#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, l;
    cin >> n;
    cin >> l;
    int index = -1;
    for(int i = 0; i < n; i++)
    {
        int h;
        cin >> h;
        if(h <= l)
        {
            index = i+1;
            break;
        }
    }

    cout << index << endl;
    return 0;
}